Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004588TestLinkRequirement Managementpublic2011-06-07 11:572012-09-01 20:00
Reporterasimon 
Assigned ToJulian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004588: Delete-Button doesn't work correctly when opening a specific version of a requirement
DescriptionIf you open a specific version of a requirement using a link to linkto.php or the JS function open, you cannot delete that specific version using the "Delete" button on the opened page.

The "Delete" button is displayed instead of the "Delete version" button, which should be there when a specific version is displayed.
Steps To ReproducePrecondition: Create a requirement, then create multiple new versions of this single requirement.

Then there are multiple ways to reproduce the error:

- Using linkto.php: Navigate to this requirement in Requirement Specification view, click the globe to display direct links, click any link to open a specific version.

OR

- Using JS function openLinkedReqVersionWindow(): Navigate to the requirement in Requirement Overview, click on the requirement title to open any version in the JS-generated popup window.

There may be even more ways to reproduce this error, these are only the most obvious ones.

The result is the same: on the now opened site (reqview.php), only the specific version is displayed, and the "Delete" button is shown instead of the "Delete version" button which would be the correct one in these cases. If you use this (wrong) "Delete" button to delete the requirement, it is not correctly removed from the database.
Additional InformationI think we need to make changes to reqview.php and/or the associated template(s) to adapt to this situation, so the "Delete version" button is displayed and can be used in these cases.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0015644)
Julian (reporter)
2011-08-10 06:57

When the whole requirement is shown "Delete" as well as "Delete this version" button is shown.

If a single version is shown only "Delete this version" button is shown.

Fixed for Branch 1.9:
https://gitorious.org/testlink-ga/testlink-code/commit/b120169460fff99f63b3d9fb9fe772aff6eea577 [^]

and Master:
https://gitorious.org/testlink-ga/testlink-code/commit/eb82d6bf7b486b3442606f78ee35ff7723661113 [^]
(0017375)
fman (administrator)
2012-09-01 20:00

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-06-07 11:57 asimon New Issue
2011-06-07 12:01 asimon Assigned To => asimon
2011-06-07 12:01 asimon Status new => assigned
2011-06-07 12:01 asimon Status assigned => work in progress
2011-08-09 12:10 Julian Assigned To asimon => Julian
2011-08-09 12:10 Julian Status work in progress => assigned
2011-08-10 06:57 Julian Note Added: 0015644
2011-08-10 06:57 Julian Status assigned => resolved
2011-08-10 06:57 Julian Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2011-08-10 06:57 Julian Resolution open => fixed
2012-09-01 20:00 fman Note Added: 0017375
2012-09-01 20:00 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker